<div id="bw-step-checkout" style="display: none;">

    <div class="h3">{{ 'checkout.title'|trans({}, 'frontends') }}</div>
    <p class="h5 text-muted">{{ 'checkout.text'|trans({}, 'frontends') }}</p>

    <div class="cls_bw_g_err"></div>


    <input type="hidden" id="utils_trans_p_certificate_w_dedication" value="{{ 'paper.certificate.dedication.label'|trans({}, 'frontends') }}">
    <input type="hidden" id="utils_trans_p_certificate" value="{{ 'paper.certificate.label'|trans({}, 'frontends') }}">
    <input type="hidden" id="utils_trans_delivery_charges" value="{{ 'delivery.charges.label'|trans({}, 'frontends') }}">


    {# PREVIEW #}
    {% include 'Desktop/PurchasingBundle/Transaction/_preview_word.html.twig' %}

    {# SHIPPING ADDRESS #}
    <div id="dv_row_shipping_address" class="row mt-3" style="display:none;">
        <div class="col">
            <div><strong>{{ 'shipping.address.label'|trans({}, 'frontends') }}</strong></div>
            <div id="dv_preview_shipping_address" class="border cls_row_bordered"></div>
        </div>
    </div>

    {# INVOICE #}
    {% include 'Desktop/UserBundle/ShippingAddress/Modal/_change.html.twig' %}
    <div class="row mt-3">
        <div class="col">
            <div><strong>{{ 'invoice.label'|trans({}, 'frontends') }}</strong></div>
            <div class="custom-control custom-checkbox">
                <input type="checkbox" name="chb_require_invoice" class="custom-control-input" id="chb_require_invoice" data-invoice-price="{{ invoicePrice is defined and invoicePrice is not empty ? invoicePrice : 10 }}">
                <label class="custom-control-label" for="chb_require_invoice">
                    <span>{{ 'ask.invoice.label'|trans({}, 'frontends') }} (${{ invoicePrice is defined and invoicePrice is not empty ? invoicePrice : 10 }})</span>
                </label>
            </div>
        </div>
    </div>

    <div id="dv_row_invoice_address" class="row mt-3" style="display:none;">
        <div class="col">
            <div><strong>{{ 'invoice.address.label'|trans({}, 'frontends') }}</strong></div>
            <div class="border cls_row_bordered">
                <div id="dv_preview_invoice_address">
                    {% if lastAddressesUsed is defined and lastAddressesUsed is not empty %}
                        <div class='text-muted'>
                            {% set companyName = '' %}
                            {% if lastAddressesUsed[0].companyName is defined and lastAddressesUsed[0].companyName is not empty %}
                                {% set companyName = '(' ~ lastAddressesUsed[0].companyName ~ ')' %}
                            {% endif %}

                            <div>{{ lastAddressesUsed[0].firstName ~ ' ' ~ lastAddressesUsed[0].lastName ~ ' ' ~ companyName }}</div>
                            <div>{{ lastAddressesUsed[0].streetAddress ~ ' ' ~ lastAddressesUsed[0].addressDetail ~ ', ' ~ lastAddressesUsed[0].postalCode ~ ', ' ~ lastAddressesUsed[0].city ~ ' (' ~ lastAddressesUsed[0].stateProvince ~ ')' }}</div>
                        </div>
                        <input type="hidden" id="hdn_invoice_address" name="hdn_invoice_address" value="{{ lastAddressesUsed[0].id }}" disabled>
                        <input type="hidden" id="hdn_invoice_address_default" value="y" disabled>
                    {% endif %}
                </div>
                <div id="lnk_change_invoice_address">
                    {#<small class="cls-pointer-effect text-primary">{{ 'choose.another.address.label'|trans({}, 'frontends') }}</small>#}
                    <a class="text-primary cls-pointer-effect link-change-address-modal" data-toggle="modal" data-target="#changeAddressesModal">
                        <small>{{ 'choose.another.address.label'|trans({}, 'frontends') }}</small>
                    </a>
                </div>
            </div>
        </div>
    </div>


    {# COUPON #}
    <div class="row mt-4">
        <div class="col">
            <div><strong>{{ 'promotional.codes.label'|trans({},'frontends') }}</strong></div>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <div class="form-group">
                <label for="bw_coupon">
                    <span class="text-muted">{{ 'insert.coupon.label'|trans({}, 'frontends') }}</span>
                </label>
                <input type="text" id="bw_coupon" class="form-control" name="coupon" data-id-error="bw_coupon" maxlength="80" pattern=".{2,}">
                <div class="text-success rsp-txt-validate-coupon" style="display: none;">
                    <small>{{ 'coupon.is.valid.label'|trans({}, 'frontends')|raw }}</small>
                </div>
                <div id="bw_coupon_error"></div>
            </div>
        </div>
        <div class="col">
            <div class="form-group">
                <label> &nbsp; </label>
                <button type="button" id="btn-validate-coupon" class="btn btn-secondary btn-block" data-url-validate="{{ url('api_coupon_validation') }}">
                    {{ 'validate.coupon.label'|trans({}, 'frontends') }}
                </button>
            </div>
        </div>
    </div>


    <div class="mt-3">
        <div class="row">
            <div class="col">
                <div><strong>{{ 'total.order.label'|trans({},'frontends') }}</strong></div>
            </div>
        </div>
        <div class="row border preview-buy-checkout" style="min-height: 115px;">
            <div class="col text-left">

                <div {#class="h5"#}>
                    <strong>{{ 'your.word.label'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_word_name">{{ wordName is defined ? wordName }} ($ 1)</div>
                </div>

                <div class="mt-2" id="dv_preview_checkout_optionals" style="display: none;">
                    <strong>{{ 'optionals.title'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_optionals"></div>
                </div>

                {#<div class="mt-2" id="dv_preview_checkout_certificates" style="display: none;">
                    <strong>{{ 'certificates.title'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_certificates"></div>
                </div>#}

                <div class="mt-2" id="dv_preview_checkout_preset" style="display: none;">
                    <strong>{{ 'preset.title'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_preset"></div>
                </div>

                <div class="mt-2" id="dv_preview_checkout_coupon" style="display: none;">
                    <strong>{{ 'coupon.label'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_coupon"></div>
                </div>

                <div class="mt-2" id="dv_preview_checkout_invoice" style="display: none;">
                    <strong>{{ 'invoice.label'|trans({}, 'frontends') }}</strong>
                    <div id="preview_checkout_invoice"></div>
                </div>

            </div>
            <div class="col">
                <div class="align-bottom-right">
                    <div class="h3 text-right"><strong>{{ 'total.price.label'|trans({}, 'frontends') }}</strong></div>
                    <div class="h3 text-right">$ <span id="preview_checkout_total_price">{{ wordDefaultValue ? wordDefaultValue : 10 }}</span></div>
                </div>
            </div>
        </div>
    </div>


    <div class="row mt-5">
        <div class="col">
            <div id="dv-empt-pp-urls" data-pp-create="{{ url('paypal_create_payment') }}" data-pp-execute="{{ url('paypal_execute_payment') }}"></div>
            <div class="clearfix float-right">
                <button type="button" class="cls-btn-back-from-checkout btn btn-secondary mr-3">{{ 'back.label'|trans({}, 'frontends') }}</button>
                <div class="clearfix float-right">
                    {% include 'Default/_paypal_button.html.twig' %}
                </div>
            </div>

        </div>
    </div>


</div> {# END THIRD STEP #}

